function k = nearestmax(y,k0)

% k = nearestmax(y,k0)
%
% Find the (local) max of y that is nearest to the given index k0
% If y does not increase in either direction from k0, we return k0.
%
% 18-Oct-2005 Jm

N = length(y);
if k0 > N, k0 = N; end
if k0 < 1, k0 = 1; end

k = k0;
if N == 1
    k = k0;
    return
end

if k == 1
    for k=1:N-1
        if y(k+1) <= y(k), break, end
    end
    if y(k+1) > y(k), k=k+1; end
elseif k == N
    for k=N:-1:2
        if y(k-1) <= y(k), break, end
    end
    if y(k-1) > y(k), k = k-1; end
elseif y(k0+1) > y(k0)
    for k=k0:N-1
        if y(k+1) <= y(k), break, end
    end
    if y(k+1) > y(k), k=k+1; end
elseif y(k0-1) > y(k0)    
    for k=k0:-1:2
        if y(k-1) <= y(k), break, end
    end
    if y(k-1) > y(k), k = k-1; end
end    


