function plot_planearray (PHI0, THETA0)

% PLOT_PLANEARRAY (PHI0, THETA0)
%
%   This is wrapper to call PLANEARRAY,
%   with multiple directions. 
%
%   See planearray.m
% 

% 5-Nov-2005 Jm
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if nargin ~=2
    error ('Bad number of input arguments')
end

if length(PHI0) ~= length(THETA0)
    error ('input arrays must be of same length')
end

for k = 1:length(PHI0)
    planearray (PHI0(k),THETA0(k));
    fprintf('\nPush CR to continue ');
    pause
end